# Virtual Machines (VirtualBox)

This folder documents two pre-configured VirtualBox VMs used for the project. Default password for both the virtual machines is ccom4088.

## Download

Access the VMs here:  
[Google Drive - VM Files](https://drive.google.com/drive/folders/1CVwy99dX74vCIcA0fG_m4aKY5IReCafv?usp=sharing)

---

## 1. Vulnerability Scanner VM

**Base OS:** Ubuntu  
**Purpose:** Hosts the full NVSRCO scanning tool, including:

- Python scripts for host discovery, port scanning, and vulnerability scanning
- OpenVAS container
- Dash web dashboard
- Python scheduler


**How to Use:**

- Start the VM
- Open the terminal
- Ensure Docker is running (`docker ps`)
- Go to the projects directory `cd Downloads/Projecto`
- Run the Python scheduler:
  ```bash
  sudo ./venv/bin/python scheduler.py
  ```

---

## 2. WireGuard Client VM

**Base OS:** Ubuntu  
**Purpose:** Acts as a remote client with a pre-configured WireGuard client setup.

**Configuration Path:**
```bash
/etc/wireguard/wg0.conf
```

**What You Must Edit Before Use:**

- `Endpoint`: Set this to the IP of your **scanner**
- `PublicKey`: Set this to the public key of your **scanner**

**Example:**
```ini
[Peer]
PublicKey = <SCANNER_PUBLIC_KEY>
Endpoint = <SCANNER_IP>:51820
AllowedIPs = 0.0.0.0/0
```

After editing, start WireGuard:

```bash
sudo wg-quick down wg0 
sudo wg-quick up wg0
```



---

## Notes

- Ensure your virtual network settings (bridged or host-only) allow communication between the client and scanner
